[PATCH] automation: Add C xenstored and stubdom tests

Jason Andryuk posted 1 patch 3 days, 7 hours ago
Patches applied successfully (tree, apply log)
git fetch https://gitlab.com/xen-project/patchew/xen tags/patchew/20260604233328.805829-1-jason.andryuk@amd.com
automation/gitlab-ci/test.yaml           | 16 ++++++++++++++++
automation/scripts/qemu-alpine-x86_64.sh | 20 ++++++++++++++++++++
2 files changed, 36 insertions(+)
[PATCH] automation: Add C xenstored and stubdom tests
Posted by Jason Andryuk 3 days, 7 hours ago
Expand testing to include C xenstored and xenstore stubdom tests.  OCaml
oxenstored is run by default.

Signed-off-by: Jason Andryuk <jason.andryuk@amd.com>
---
Pipeline
https://gitlab.com/xen-project/people/jandryuk-amd/xen/-/pipelines/2577925467
C Xenstored job
https://gitlab.com/xen-project/people/jandryuk-amd/xen/-/jobs/14704763517
Stubdom job
https://gitlab.com/xen-project/people/jandryuk-amd/xen/-/jobs/14704763518

 automation/gitlab-ci/test.yaml           | 16 ++++++++++++++++
 automation/scripts/qemu-alpine-x86_64.sh | 20 ++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/automation/gitlab-ci/test.yaml b/automation/gitlab-ci/test.yaml
index 1722800c15..dfe5555154 100644
--- a/automation/gitlab-ci/test.yaml
+++ b/automation/gitlab-ci/test.yaml
@@ -656,6 +656,22 @@ qemu-alpine-x86_64-gcc:
     - *x86-64-test-needs
     - alpine-3.18-gcc
 
+qemu-alpine-x86_64-gcc-cxenstored:
+  extends: .qemu-x86-64
+  script:
+    - ./automation/scripts/qemu-alpine-x86_64.sh cxenstored 2>&1 | tee ${LOGFILE}
+  needs:
+    - *x86-64-test-needs
+    - alpine-3.18-gcc
+
+qemu-alpine-x86_64-gcc-xenstore-stubdom:
+  extends: .qemu-x86-64
+  script:
+    - ./automation/scripts/qemu-alpine-x86_64.sh xenstore-stubdom 2>&1 | tee ${LOGFILE}
+  needs:
+    - *x86-64-test-needs
+    - alpine-3.18-gcc
+
 qemu-smoke-x86-64-gcc:
   extends: .qemu-smoke-x86-64
   script:
diff --git a/automation/scripts/qemu-alpine-x86_64.sh b/automation/scripts/qemu-alpine-x86_64.sh
index 242ffca693..0105a3b001 100755
--- a/automation/scripts/qemu-alpine-x86_64.sh
+++ b/automation/scripts/qemu-alpine-x86_64.sh
@@ -2,6 +2,25 @@
 
 set -ex -o pipefail
 
+test_variant=$1
+
+xenstore_selection=""
+
+case "${test_variant}" in
+    xenstore-stubdom)
+        xenstore_selection='echo "XENSTORETYPE=domain" > /etc/default/xencommons'
+        ;;
+    cxenstored)
+        xenstore_selection='echo "XENSTORED=/usr/sbin/xenstored" > /etc/default/xencommons'
+        ;;
+    "")
+        ;;
+    *)
+        echo "Unrecognised test_variant '${test_variant}'" >&2
+        exit 1
+        ;;
+esac
+
 # DomU Busybox
 cd binaries
 mkdir -p initrd
@@ -49,6 +68,7 @@ echo "#!/bin/bash
 
 set -x
 
+$xenstore_selection
 bash /etc/init.d/xencommons start
 
 xl list
-- 
2.54.0
Re: [PATCH] automation: Add C xenstored and stubdom tests
Posted by Oleksii Kurochko 2 days, 23 hours ago

On 6/5/26 1:33 AM, Jason Andryuk wrote:
> Expand testing to include C xenstored and xenstore stubdom tests.  OCaml
> oxenstored is run by default.
> 
> Signed-off-by: Jason Andryuk <jason.andryuk@amd.com>

Release-Acked-by: Oleksii Kurochko <oleksii.kurochko@gmail.com>

Thanks.

~ Oleksii
Re: [PATCH] automation: Add C xenstored and stubdom tests
Posted by dmukhin@ford.com 3 days, 4 hours ago
On Thu, Jun 04, 2026 at 07:33:28PM -0400, Jason Andryuk wrote:
> Expand testing to include C xenstored and xenstore stubdom tests.  OCaml
> oxenstored is run by default.
> 
> Signed-off-by: Jason Andryuk <jason.andryuk@amd.com>

Reviewed-by: Denis Mukhin <dmukhin@ford.com>